<?php if (!defined('PmWiki')) exit();
/**
 * version.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2005-2023
 * @note This file is part of Cookbook recipe "SNotes" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package snotes
 */

/**
 * @note Array for all modules/cookbook
 */
    global $cookbook;
    $prefix = 'snotes';
    $cookbook[$prefix]['name'] = 'snotes';
    $cookbook[$prefix]['version'] = '2.3.3';
    $cookbook[$prefix]['versionnum'] = '2003003';
    $cookbook[$prefix]['description'][] = "Styles for general purpose notes/boxes for PmWiki";
    $cookbook[$prefix]['date']['datenum'] = '20230215';
    $cookbook[$prefix]['dependencies']['php']['version'] = "4.3.0";
    $cookbook[$prefix]['dependencies']['pmwiki']['version'] = "2.2.x";
    $cookbook[$prefix]['author']['name'] = 'V.Krishn';
    $cookbook[$prefix]['author']['resource'][] = "http://www.insteps.net";
    $cookbook[$prefix]['author']['email'][] = 'vkrishn@insteps.net';
    $cookbook[$prefix]['comment'][] = "Compatible with PmWiki 2.2.x";
    $cookbook[$prefix]['licence'][] = "GNU General Public License/Free Software";

    /**
     * Cookbook guideline variable
     * @see http://www.pmwiki.org/wiki/Cookbook/ModuleGuidelines
     */
     $RecipeInfo[$prefix]['Version'] = $cookbook[$prefix]['version'];

/**
 * @note Variable/markup to use/display within wiki
 */
    // format "snotes-2.1.1-20100112"
    $snotesVersion =
        $cookbook[$prefix]['name']."-".$cookbook[$prefix]['version']. '-'.$cookbook[$prefix]['date']['datenum'];
    $FmtPV['$snotesVersion'] = "'$snotesVersion'";
    //$FmtPV['$snotesVersion'] = '$GLOBALS["snotesVersion"]';


